
---------------------------------------------------------
-- This file contains global constants which the user can
-- change to their liking. Please be careful, and only  
-- assign expected values. 					 ~Versepelles
---------------------------------------------------------

---------------------------------------------------------
-- Alert other mods what mod this is.
-- Probably don't change this.
VersepellesAlienFarm = true
VersepellesAlienFarmVersion = "1.0.0"

---------------------------------------------------------
-- This table holds all capturable aliens
-- Add or change aliens following the pattern
-- "order" is the item order of the capsule
-- "catchRate" is the capture chance at 100% capsule efficiency 
-- "incubationTime" is the expected time to hatch, in seconds
-- "dropRate" is the rate at which artificially-spawned aliens drop alien artifacts
-- "evolveResult" is the entity which an incubator may randomly spawn instead of this one
-- "evolveRate" is the rate at which random evolution occurs
AlienFarmDict =
{
	["small-biter"] = {order = "a", catchRate = 1.00, requiresMaster = false, incubationTime = 5, dropRate = 0.13, evolveResult = "medium-biter", evolveRate = 0.05},
	["medium-biter"] = {order = "b", catchRate = 0.70, requiresMaster = false, incubationTime = 10, dropRate = 0.20, evolveResult = "big-biter", evolveRate = 0.03},
	["big-biter"] = {order = "c", catchRate = 0.40, requiresMaster = false, incubationTime = 20, dropRate = 0.50, evolveResult = "behemoth-biter", evolveRate = 0.02},
	["behemoth-biter"] = {order = "d", catchRate = 0.25, requiresMaster = true, incubationTime = 60, dropRate = 1.00, evolveResult = nil, evolveRate = 0},
	["small-spitter"] = {order = "e", catchRate = 1.00, requiresMaster = false, incubationTime = 5, dropRate = 0.13, evolveResult = "medium-spitter", evolveRate = 0.05},
	["medium-spitter"] = {order = "f", catchRate = 0.70, requiresMaster = false, incubationTime = 10, dropRate = 0.20, evolveResult = "big-spitter", evolveRate = 0.03},
	["big-spitter"] = {order = "g", catchRate = 0.40, requiresMaster = false, incubationTime = 20, dropRate = 0.50, evolveResult = "behemoth-spitter", evolveRate = 0.02},
	["behemoth-spitter"] = {order = "h", catchRate = 0.25, requiresMaster = true, incubationTime = 60, dropRate = 1.00, evolveResult = nil, evolveRate = 0},
	["small-worm-turret"] = {order = "i", catchRate = 1.00, requiresMaster = false, incubationTime = 5, dropRate = 0.13, evolveResult = "medium-worm-turret", evolveRate = 0.05},
	["medium-worm-turret"] = {order = "j", catchRate = 0.40, requiresMaster = false, incubationTime = 10, dropRate = 0.20, evolveResult = "big-worm-turret", evolveRate = 0.03},
	["big-worm-turret"] = {order = "k", catchRate = 0.40, requiresMaster = false, incubationTime = 20, dropRate = 0.50, evolveResult = nil, evolveRate = 0},
	--["behemoth-worm-turret"] = {order = "l", catchRate = 0.25, requiresMaster = true, incubationTime = 60, dropRate = 1.00, evolveResult = nil, evolveRate = 0},
}

---------------------------------------------------------
-- This table holds the efficiency of capture capsules
-- If adding tiers, be sure to add associated graphics, recipe, and technology
-- "efficiency" affects the rate at which aliens are captured
AlienFarmCapsules = 
{
	["capture-capsule-1"] = {efficiency = 0.20},
	["capture-capsule-2"] = {efficiency = 0.60},
	["capture-capsule-3"] = {efficiency = 1.00},
	["capture-capsule-4"] = {efficiency = 2.00},
	["recapture-capsule"] = {efficiency = 2.00},
}

---------------------------------------------------------
-- This table holds all potential commands issuable to player aliens
-- Probably don't change this, unless adding support within the code as well
AlienFarmCommands = 
{
	["train-capsule"] = {order = "a", command = "train"},
	["goto-capsule"] = {order = "b", command = "goto"},
}

-- Display flying-text above trained units
IndicateTrainedUnits = true
-- How far trained units can be from player before becoming docile
MaxTrainedRange = 100